From fac8b25a2590ffc1fca971d71ff037288af422f2 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:08 +0000
Subject: [PATCH 371/2232] Update RustVec::from_ref to match RustString::from_ref


---

diff --git a/src/rust_vec.rs b/src/rust_vec.rs
index 2c8441b..b4eed3b 100644
--- a/src/rust_vec.rs
+++ b/src/rust_vec.rs
@@ -11,7 +11,7 @@ impl<T: VectorTarget<T>> RustVec<T> {
     }
 
     pub fn from_ref(v: &Vec<T>) -> &Self {
-        unsafe { std::mem::transmute::<&Vec<T>, &RustVec<T>>(v) }
+        unsafe { &*(v as *const Vec<T> as *const RustVec<T>) }
     }
 
     pub fn into_vec(self) -> Vec<T> {

